/* ----- NOUVELLE FICHE (2022) ----- */
div.imo_fiche{
  background-color: var(--transp_1);
  box-shadow: var(--boxshadow);
  border-radius: 64px 8px 64px 8px;
  overflow: hidden!important;
  max-width: 656px;
  margin: auto;
}
div.imo_fiche br{ display: none; }
div.imo_fiche.maison{ --maison: var(--co2); }
div.imo_fiche.daichi, div.imo_fiche.dojin{ --maison: var(--doj); --co2: var(--doj); }
div.imo_fiche.denki, div.imo_fiche.raiyo{ --maison: var(--rai); --co2: var(--rai); }
div.imo_fiche.kasai, div.imo_fiche.hiisa{ --maison: var(--hii); --co2: var(--hii); }
div.imo_fiche.kaze, div.imo_fiche.fugi{ --maison: var(--fug); --co2: var(--fug); }
div.imo_fiche.mizu, div.imo_fiche.suisei{ --maison: var(--sui); --co2: var(--sui); }

div.imo_fiche.daichi bg1, div.imo_fiche.dojin bg1{ background-color: var(--doj)!important;}
div.imo_fiche.denki bg1, div.imo_fiche.raiyo bg1{ background-color: var(--rai)!important;}
div.imo_fiche.kasai bg1, div.imo_fiche.hiisa bg1{ background-color: var(--hii)!important;}
div.imo_fiche.kaze bg1, div.imo_fiche.fugi bg1{ background-color: var(--fug)!important;}
div.imo_fiche.mizu bg1, div.imo_fiche.sui bg1{ background-color: var(--sui)!important;}

.imo_fiche_section1,
.imo_fiche_section2,
.imo_fiche_section4{
  background-color: var(--transp_1);
  border-radius: 53px 8px 8px 8px;
  overflow: hidden;
  position: relative;
  margin: 16px;
}
.imo_fiche_section2 { border-radius: 8px; margin: 0px 16px; padding: 16px; }
.imo_fiche_section3 { position: relative; margin: 32px 0px; }
.imo_fiche_section4 { border-radius: 8px 8px 53px 8px; }

.imo_fiche_section1 > img{
  width: 160px;
  height: 160px;
  padding: 8px;
  border: 1px solid var(--co2);
  object-fit: cover;
  border-radius: 50%;
  position: absolute;
  top: -16px;
  left: -16px;
  z-index: 1;
}

.imo_fiche_section1 > ion-icon,
.imo_fiche_section1 > i.fa-solid{
  color: white;
  position: absolute;
  top: 16px;
  left: 120px;
  font-size: 32px;
  padding: 8px;
  background-color: var(--maison);
  border-radius: 50%;
  z-index: 3;
}
.imo_fiche_section1 > i.fa-solid,
.maison .imo_fiche_section1 > ion-icon{ font-size: 24px; line-height: 24px; padding: 12px; }

.maison .imo_fiche_section1 > ion-icon{ animation: pulse 2s infinite; }
.daichi .imo_fiche_section1 > ion-icon,
.dojin .imo_fiche_section1 > ion-icon{ animation: pulsedoj 2s infinite; }
.denki .imo_fiche_section1 > ion-icon,
.raiyo .imo_fiche_section1 > ion-icon{ animation: pulserai 2s infinite; }
.kasai .imo_fiche_section1 > ion-icon,
.hiisa .imo_fiche_section1 > ion-icon{ animation: pulsehii 2s infinite; }
.mizu .imo_fiche_section1 > ion-icon,
.suisei .imo_fiche_section1 > ion-icon{ animation: pulsesui 2s infinite; }
.kaze .imo_fiche_section1 > i,
.fugi .imo_fiche_section1 > i{ animation: pulsefug 2s infinite; }

div.imo_fiche span.fiche_icon {
  display: block;
  font-family: 'Maisons';
  width: 48px;
  height: 48px;
  font-size: 24px;
  line-height: 24px;
  padding: 12px!important;
  color: white;
  opacity: 1;
  position: absolute;
  top: 16px;
  left: 120px;
  background-color: var(--maison);
  border-radius: 50%;
  z-index: 3;
}
div.imo_fiche span.fiche_icon:before {
  font-size: 24px;
  font-weight: normal;
}
div.imo_fiche.dojin span.fiche_icon { background-color: var(--doj); animation: pulsedoj 2s infinite; }
div.imo_fiche.dojin span.fiche_icon:before { content: "D"; }
div.imo_fiche.fugi span.fiche_icon { background-color: var(--fug); animation: pulsefug 2s infinite; }
div.imo_fiche.fugi span.fiche_icon:before { content: "F"; }
div.imo_fiche.hiisa span.fiche_icon { background-color: var(--hii); animation: pulsehii 2s infinite; }
div.imo_fiche.hiisa span.fiche_icon:before { content: "H"; }
div.imo_fiche.raiyo span.fiche_icon { background-color: var(--rai); animation: pulserai 2s infinite; }
div.imo_fiche.raiyo span.fiche_icon:before { content: "R"; }
div.imo_fiche.suisei span.fiche_icon { background-color: var(--sui); animation: pulsesui 2s infinite; }
div.imo_fiche.suisei span.fiche_icon:before { content: "S"; }

.imo_fiche_section1 > span,
.imo_fiche_section2 > span:nth-child(2),
.imo_fiche_section3 > span:nth-child(2),
.imo_fiche_section4 > span:nth-child(2){
  font-size: 88px;
  line-height: 88px;
  position: absolute;
  top: -16px;
  font-weight: 900;
  color: var(--neutral_2);
  font-family: var(--special-font);
  opacity: 0.8;
}
.imo_fiche_section1 > span,
.imo_fiche_section3 > span:nth-child(2){ right: 0px; }
.imo_fiche_section2 > span:nth-child(2),
.imo_fiche_section4 > span:nth-child(2){ left: 0px; }

.imo_fiche_section3 > span:nth-child(2){ right: 20px; top: -24px; opacity: 0.8; }

.imo_fiche_infos {
  position: relative;
  z-index: 2;
  align-content: flex-start;
  margin: 16px 16px 16px 72px;
  display: grid;
  grid-template-rows: auto;
  align-items: flex-start;
  justify-items: end;
}
.imo_fiche_section4 .imo_fiche_infos{ margin: 16px; justify-items: flex-start; }

.imo_fiche_infos > span.nom {
  font-size: 24px;
  text-transform: lowercase;
  line-height: 24px;
  color: var(--tx_content);
  margin-top: 16px;
  margin-bottom: 16px;
  font-family: var(--special-font);
}
.imo_fiche_infos > span.nom:after{
  display: block;
  width: 88px;
  height: 1px;
  content: " ";
  background-color: var(--maison);
  position: absolute;
  right: 0px;
  margin: 8px 0px;
}
.imo_fiche_section4 .imo_fiche_infos > span.nom:after{ left: 0px!important; }
.imo_fiche_infos > span:nth-child(2) {
  font-size: 11px;
  text-transform: lowercase;
  line-height: 16px;
}
.infos_grid {
  display: grid;
  width: 100%;
  grid-gap: 1px;
  border-radius: 4px;
  overflow: hidden;
  grid-template-columns: repeat(12, [col] 1fr);
  grid-template-rows: [row] auto [row] auto;
  backdrop-filter: blur(4px);
  margin-top: 16px;
}
.infos_grid div {
  padding: 8px;
  background-color: var(--transp_2);
  color: var(--tx_content);
  font-size: 11px;
  line-height: 16px;
  display: grid;
  grid-gap: 4px;
  grid-template-rows: max-content max-content;
}
.infos_grid div:nth-child(2),
.infos_grid div:nth-child(4),
.infos_grid div:nth-child(6),
.infos_grid div:nth-child(8){ grid-row: row 1; }
.infos_grid div:nth-child(2){ grid-column: col / span 3; }
.infos_grid div:nth-child(4){ grid-column: col 4 / span 3; }
.infos_grid div:nth-child(6){ grid-column: col 7 / span 3; }
.infos_grid div:nth-child(8){ grid-column: col 10 / span 3; }
.infos_grid div:nth-child(10),
.infos_grid div:nth-child(12),
.infos_grid div:nth-child(14){ grid-row: row 2; }
.infos_grid div:nth-child(10){ grid-column: col / span 3; }
.infos_grid div:nth-child(12){ grid-column: col 4 / span 9; }
/* .infos_grid div:nth-child(14){ grid-column: col 10 / span 3; } */

.infos_grid div > label{
  display: inline-block;
  width: fit-content;
  text-transform: uppercase;
  font-size: 9px;
  letter-spacing: 0.5px;
  color: var(--tx_content);
  font-weight: 600;
  padding: 0px 4px;
  background: var(--bg1);
  border-radius: 2px;
  margin: 0px;
  line-height: 16px;
}
.infos_grid div > span{ display: inline-block; padding: 0px 4px; color: var(--tx_content); }

span.aes_content {
  display: block;
  height: 164px;
  color: var(--tx_content);
  overflow: auto;
  padding-right: 16px;
  text-align: justify;
  position: relative;
  z-index: 2;
}
span.aes_content a, span.aes_content a:link{ color: var(--maison)!important; }
span.aes_content br{ display: block; }
span.aes_content::-webkit-scrollbar-thumb{ background-color: var(--maison); }

span.aes_content .tags {
  display: flex;
  justify-content: center;
  gap: 8px;
  margin: 16px 0px 0px 0px;
}
span.aes_content .tags tag{
  display: inline-block;
  padding: 0px 8px;
  background: var(--neutral_1);
  border-radius: 2px;
  line-height: 20px;
  font-size: 10px;
  font-weight: 600;
  letter-spacing: 0.5px;
  text-transform: uppercase;
}
span.aes_content .tags tag:nth-child(odd){ color: var(--co3_light); }
span.aes_content .tags tag:nth-child(even){ color: var(--maison); }

.imo_fiche_onglets{
  padding: 16px 16px 0px 16px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 8px;
}
.imo_fiche_onglets a.msg_ong {
  display: flex;
  flex-direction: column;
  gap: 8px;
  align-items: center;
  padding: 16px!important;
  background: var(--neutral_1);
  color: var(--tx_content)!important;
  border-radius: 8px 8px 0px 0px;
  font-size: 10px;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.5px;
  font-family: var(--font);
  line-height: 20px;
  opacity: 0.5;
  backdrop-filter: blur(4px);
  transition: var(--transi);
  z-index: 2;
  margin: 0px!important;
  border-bottom: 0px!important;
}
.imo_fiche_onglets a.msg_ong ion-icon{ font-size: 16px; margin: 2px; }
.imo_fiche_onglets a.msg_ong.selected{ z-index: 4; background-color: var(--neutral_1)!important; }
.imo_fiche_onglets a.msg_ong.selected,
.imo_fiche_onglets a.msg_ong:hover{ opacity: 1; }
.imo_fiche_onglets a.msg_ong:hover ion-icon{ animation: btq-hover 1s infinite; }

.imo_fiche_section3 .msg_ong_contenu div > div{
  display: flex!important;
  gap: 0px;
  background: var(--neutral_1);
  box-shadow: var(--boxshadow);
  position: relative;
  z-index: 3;
  height: 320px;
}
.imo_fiche_section3 .msg_ong_contenu > div > div > div{ display: block!important; width: 100%; box-shadow: none; height: auto; }
.imo_fiche_section3 .msg_ong_contenu div.fiche_box > img{
  width: 200px;
  height: 320px;
  object-fit: cover;
  transition: var(--transi);
}
.imo_fiche_section3 .msg_ong_contenu div:hover div.fiche_box > img,
.imo_fiche_section3 .msg_ong_contenu div:hover div.fiche_box#tab3 > div > img{ width: 100px; }

.imo_fiche_section3 .msg_ong_contenu div.fiche_box > span,
.imo_fiche_section3 .msg_ong_contenu div.fiche_box > div > span{ 
  margin: 16px; 
  padding: 16px;
  overflow-y: auto; 
  overflow-x: hidden; 
  display: block; 
  width: -webkit-fill-available;     
  min-height: 224px;
  max-height: 320px; 
  text-align: justify;
  background-color: var(--neutral_2);
  color: var(--tx_content);
}
.imo_fiche_section3 .msg_ong_contenu div.fiche_box span a, .imo_fiche_section3 .msg_ong_contenu div.fiche_box span a:link{ color: var(--maison)!important; }
.imo_fiche_section3 .msg_ong_contenu div.fiche_box span br{ display: initial; }

.imo_fiche_section3 .msg_ong_contenu span.chrono {
  display: grid!important;
  padding: 16px 16px 16px 0px!important;
  grid-template: 1fr/auto 1fr!important;
  grid-row-gap: 8px!important;
  position: relative;
  z-index: 2;
}

.imo_fiche_section3 .msg_ong_contenu span.chrono .chrono_date {
  grid-column: 1;
  display: flex;
  min-width: 64px;
  flex-direction: column;
  text-align: center;
  margin-right: 1px;
  line-height: 120%;
  align-items: center;
  justify-items: center;
  justify-content: center;
  padding: 8px;
}
.chrono_date t8 {
  font-family: var(--special-font);
  font-size: 16px;
  line-height: 20px;
  color: var(--co2);
  display: block;
  text-align: center;
}
.chrono_date t9 {
  text-transform: uppercase;
  font-size: 9px;
  letter-spacing: 0.5px;
  font-weight: 600;
  color: var(--tx_content);
  display: block;
  text-align: center;
}
.chrono_date t9:after{
  display: block;
  width: 50%;
  height: 1px;
  background-color: var(--co2);
  margin: 4px auto;
  content: " ";
}

.imo_fiche_section3 .msg_ong_contenu span.chrono .chrono_fact {
  background-color: var(--neutral_1);
  padding: 8px;
  font-size: 12px;
}
.imo_fiche_section3 .msg_ong_contenu span.chrono br{ display: none!important; }
.imo_fiche_section3 .msg_ong_contenu span.chrono .chrono_fact br{ display: initial!important; }
.imo_fiche_section3 .msg_ong_contenu span.chrono .chrono_date br{ display: initial!important; }

span.chrono br{ display: none!important; }
span.chrono .chrono_fact br{ display: initial!important; }
span.chrono .chrono_date br{ display: initial!important; }



.imo_fiche_section3 .msg_ong_contenu div.fiche_box span r1,
.imo_fiche_section3 .msg_ong_contenu div.fiche_box span r2{ display: inline-block; }
.imo_fiche_section3 .msg_ong_contenu #tab2 div.fiche_box span,
.imo_fiche_section3 .msg_ong_contenu #tab21 div.fiche_box span,
.imo_fiche_section3 .msg_ong_contenu #tab22 div.fiche_box span,
.imo_fiche_section3 .msg_ong_contenu #tab23 div.fiche_box span,
.imo_fiche_section3 .msg_ong_contenu #tab24 div.fiche_box span,
.imo_fiche_section3 .msg_ong_contenu #tab25 div.fiche_box span,
.scenario .imo_fiche_section3 .msg_ong_contenu #tab3 div.fiche_box span{ max-height: 224px; }
.scenario .imo_fiche_section3 .msg_ong_contenu #tab2 div.fiche_box span{ max-height: 320px!important; }

.imo_fiche_section3 .msg_ong_contenu div.fiche_box span::-webkit-scrollbar-thumb{ background-color: var(--maison); }

.imo_fiche_section3 .msg_ong_contenu div.fiche_box icons{ display: flex; gap: 16px; margin: 16px auto; justify-content: center; }
.imo_fiche_section3 .msg_ong_contenu div.fiche_box icons img{ width: 48px!important; height: 48px; border-radius: 50%; object-fit: cover; }

span.hrp_infos {
  display: grid;
  grid-template-columns: 96px auto;
  grid-gap: 16px;
  height: 96px;
  margin-top: 8px;
  border-radius: 0px 0px 32px 0px;
  overflow: hidden;
  width: 100%;
}
.hrp_infos > img{
  width: 96px!important;
  height: 96px;
  object-fit: cover;
  border-radius: 32px 4px 32px 4px;
}
.hrp_infos_content{
  height: 96px;
  overflow: auto;
  padding-right: 16px;
  width: 100%;
}
.hrp_infos_content::-webkit-scrollbar-thumb{ background-color: var(--maison); }
.hrp_infos_content .infos_grid{ grid-template-columns: repeat(2, [col] 1fr); grid-auto-rows: 20px; margin: 0px 0px 8px 0px; background-color: transparent!important; }
.hrp_infos_content .infos_grid div{ grid-template-columns: max-content auto; grid-template-rows: 16px; grid-column: unset!important; grid-row: unset!important; }
.hrp_infos_content .infos_grid div:last-of-type{ grid-column: col / span 2!important; }
.hrp_infos_content p{
  font-size: 12px;
  line-height: 20px;
  color: rgba(var(--tx_content_rgb),0.8);
  text-align: justify;
}
.hrp_infos_content p br{ display: block; }


.imo_fiche dl.codebox,
.imo_fiche dt.spoiler_title:after,
.imo_fiche .spoiler_content.hidden:before{ background-color: var(--neutral_1);}
.imo_fiche .spoiler_content.hidden{ background: var(--transp_3)!important; }

/* ----- ANCIENNE FICHE (2021) ----- */
.prez{max-width:625px;margin:0 auto;background-color:var(--bgcat)}
.prez .header{display:flex;justify-content:space-between;top:0px!important;}
.header .tabs-onglets{display:flex;flex-direction:column}
.header a.msg_ong{width:120px;height:75px;display:flex;justify-content:center;align-items:center;margin-bottom:0;background-color:var(--neutral_1);color:var(--tx_content);font-size:1.5rem}
.header a.selected{background-image:linear-gradient(to right, var(--co2), var(--co3))!important; color:var(--blanc)!important}
.header a.selected::before{content:'\2014 \2009'}
.prez .chrono {height:350px;overflow-y:auto}
.chrono{display:grid;grid-template:1fr/auto 1fr;grid-row-gap:15px;padding-right:5px}
.chrono>br{display:none}
.chrono_date{grid-column:1;display:flex;flex-direction:column;text-align:right;margin-right:20px;line-height:120%;align-items:center}
.chrono_date::after{content:'';width:1px;height:95%;background-color:var(--neutral_1);margin:2px 0 -10px}
.chrono_fact{background-color:var(--transp_3);padding:10px}
.en_tete{width:100%;display:flex;flex-direction:column;justify-content:space-between;align-items:center}
.en_tete div:first-child{margin-top:-30px;margin-bottom:15px}
.flexbtwncenter{display:flex;align-items:center;justify-content:space-between}
.img_right,.img_left{width:200px;height:320px;object-fit:cover;transition:width .2s}
.flexbtwncenter:hover .img_right,.flexbtwncenter:hover .img_left{width:50px}
.img_right{margin:0 -20px 0 20px} 
.img_left{margin:0 20px 0 -20px}
.pic_tx{padding:40px 20px 20px 20px;background-color:var(--neutral_1)}
.pic_tx .desc{overflow: auto;padding:0 10px}
.section{box-sizing:border-box;width:calc(100% - 40px);margin:20px;background-color:var(--neutral_1);padding:16px;}
.ic_info,.ic_info2{display:flex;justify-content:space-between;width:40%;margin:0 auto}
.ic_info>div{display:flex;flex-direction:column;justify-content:space-between;align-items:center}
.prez .ic_info>div:nth-child(odd) span:first-child{background-color:var(--co2)}
.prez .ic_info>div:nth-child(even) span:first-child{background-color:var(--tx_content)}
.ic_info>div>span:first-child{display:flex;justify-content:center;align-items:center;margin:5px 7px 5px;width:35px;height:35px;border-radius:50%;font-family:'Font Awesome 5 Free';font-size:1.2rem;color:white}
.ic_info>div>ion-icon:first-child{display:flex;justify-content:center;align-items:center;margin:5px 7px 5px;width:35px;height:35px;border-radius:50%;font-family:'Font Awesome 5 Free';font-size:1.2rem;color:white}
.ic_info>div>span:last-child{font-size:9px;letter-spacing:0.5px;font-weight:600;text-transform:uppercase;text-align:center}
.ic_info>div>ion-icon:last-child{font-size:.54rem;font-weight:600;text-transform:uppercase;text-align:center}
.ic_info2{justify-content:center!important}
.ic_info2::after{content:''!important}
.ic_info2>span{width:50px;height:50px;display:flex!important;justify-content:center;align-items:center;background-color:var(--noir);color:var(--blanc);border-radius:50%;padding:0!important;font-size:1.5rem}
.en_tete>div>img{width:75px;height:75px;object-fit:cover;border-radius:30% 0 30% 0;margin:0 10px}

/* ------ REPERTOIRE -------- */
.repertory *::-webkit-scrollbar-thumb{ background-color: var(--co2); }
/* retouches code fiche de base */
.mk_repertory nom {
    line-height: 140%;
    color: var(--co2);
    font-family: var(--special-font);
    font-size: 24px;
}
span.nom br {
    display: block;
}

/* titre de répertoire */
.repertory_title {
    text-align: center;
    margin: 0 var(--spacing) var(--spacing) var(--spacing);
}
.repertory_title bg1, .repertory_title bg2, .repertory_title bg3, .repertory_title bg4, .repertory_title bg5 {
  padding: 1px 4px;
  margin-top: 4px;
  display: inline-block;
  background-color: var(--neutral_1);
}
div.repertory_title br {
    display: block;
}

/* cadres du répertoire */
div .repertory_col div br, div.repertory_summary br, div.repertory_bg1 br {
    display: block;
}
.repertory_col {
    border-radius: 0;
    margin: 0px 16px;
    padding: 0 0 var(--spacing) 0;
    background: none;
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: var(--spacing);
}
.repertory_col div {
    padding: var(--spacing);
    background-color: var(--transp_1);
    border-radius: 8px;
}
.repertory_col div .aes_content {
    height: 155px;
}
.repertory_col div .aes_content::-webkit-scrollbar-thumb {
    background-color: var(--co2);
}

/* opaque */
.repertory_bg1 {
    padding: var(--spacing);
    background-color: var(--neutral_1);
}
/* opaque 2 */
.repertory_bg2 {
    padding: var(--spacing);
    background-color: var(--neutral_2);
}
/* transparent */
.repertory_tr {
    padding: var(--spacing);
    background-color: var(--transp_1);
}

/* sommaire */
.repertory_summary {
    padding: var(--spacing);
    background-color: var(--neutral_1);
}
.repertory_summary a {
    color: var(--tx_content) !important;
    width: 100%;
    display: inline-block;
    padding: 2px 4px;
    margin-bottom: 2px;
    border-radius: 4px;
    transition: var(--transi);
}
.repertory_summary a:hover {
    background-color: var(--neutral_2);
    padding-left: var(--spacing);
}

/* icons liens rapides */
.repertory_icolinks {
    display: flex;
    gap: 8px;
    align-items: center;
    justify-content: end;
}
.repertory_icolinks br br {
    display: none;
}
.repertory_icolinks a {
    width: 24px;
    height: 24px;
    border-radius: 4px;
    background-color: var(--neutral_1);
    padding: 5px;
    transition: var(--transi);
    box-shadow: var(---boxshadow);
}
.repertory_icolinks a ion-icon {
    color: var(--tx_content);
    font-size: 14px;
    transition: var(--transi);
}
.repertory_icolinks a:hover {
    animation: pulse 2s infinite;
    background-color: var(--co2);
}
.repertory_icolinks a:hover ion-icon {
    color: white;
}

/* ---- FICHES DE SCENARIO ---- */
.scenario .imo_fiche_section3{ margin-bottom: 64px; }

.scenario .imo_fiche_section4 .imo_fiche_infos > span.nom:after{right: 0px!important; left: auto!important;}
.scenario .imo_fiche_section4 .imo_fiche_infos { justify-items: flex-end; align-items: flex-end; }

/* ROLES  */
div.liste_roles{
  display: grid; 
  grid-template-columns: 1fr 1fr; 
  grid-template-rows: auto; 
  grid-gap: 16px; 
  margin: 16px;
}
role{
  display: block; 
  background: var(--neutral_1); 
  padding: 16px; 
  position: relative;
} 
.role_header{
  display: grid; 
  grid-template-columns: 64px auto; 
  grid-gap: 16px; 
  margin-bottom: 16px;
  align-items: center;
} 
.role_header img{ height: 64px; }
.role_header br, role div br{ display: initial!important; }
.role_header nom{
  font-family: var(--special-font); 
  font-size: 16px; 
  line-height: 16px; 
  color: var(--co2);
} 
role hr{ border-top: 1px solid var(--neutral_2); }
role r2, role r3{ 
  font-size: 9px; 
  line-height: 16px;
}
role .pris, role .reserve{
  position: absolute; 
  top: -4px; 
  right: 8px; 
  font-size: 8px; 
  text-transform: uppercase; 
  letter-spacing: 0.5px; 
  font-weight: bold; 
  padding: 0px 4px; 
  border-radius: 4px; 
  line-height: 15px; 
  color: white;
} 
role .pris{background: #ff8484;}
role .reserve{background: #ffae20;} 

/* gacha */
.repertory_gacha_collec {
    display: grid;
    grid-template-columns: repeat(10, 55px);
    grid-template-rows: 55px;
    grid-gap: 8px;
    align-items: center;
    justify-content: center;
    margin: 8px 0px 16px 0px;
}

.repertory_gacha_liste bg5{
  padding: 2px 4px;
    line-height: 13px;
    text-transform: uppercase;
    font-size: 9.5px;
    letter-spacing: 1px;
    font-weight: 600;
    border-radius: 4px;
  width: 32px;
  display: inline-block;
   text-align: center;
  color: white;
}

bg5.thd{ background-color: #ffd33d; }
bg5.kd{ background-color: #90c07e;}
bg5.gsp{ background-color: #82def3; }
bg5.trc{ background-color: #ae8ed5; }

.repertory_gacha_collec > div {
    width: 55px;
    height: 55px;
    background-image: url(https://images2.imgbox.com/85/c7/r5LG87lB_o.png);
    background-size: auto 40px;
    background-repeat: no-repeat;
    background-position: center center;
    border-radius: 4px;
    background-color: var(--neutral_1);
    position: relative;
}
.repertory_gacha_collec.thd > div { background-image: url(https://images2.imgbox.com/85/c7/r5LG87lB_o.png); }
.repertory_gacha_collec.kd > div { background-image: url(https://images2.imgbox.com/43/98/5IjaErgz_o.png); }
.repertory_gacha_collec.gsp > div { background-image: url(https://images2.imgbox.com/62/b9/gqwBxcWu_o.png); }
.repertory_gacha_collec.trc > div { background-image: url(https://images2.imgbox.com/44/be/88uSr95T_o.png); }

.repertory_gacha_collec > div.ok{ border: 0px; transition: var(--transi); }
.repertory_gacha_collec.thd > div.ok{ background-color: #ffd33d; }
.repertory_gacha_collec.kd > div.ok{ background-color: #90c07e; }
.repertory_gacha_collec.gsp > div.ok{ background-color: #82def3; }
.repertory_gacha_collec.trc > div.ok{ background-color: #ae8ed5; }
.repertory_gacha_collec > div.shiny:before {
    z-index: 1;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0px;
    border-radius: 4px;
    padding: 2px;
    background-image: url(https://img.freepik.com/free-photo/_40163-61.jpg?size=626&ext=jpg); 
    animation-duration: 10s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: linear;
    animation-name: fluid;
    background-size: 500%;
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
}
@keyframes fluid {
  from { background-position: top; }
  to { background-position: bottom; }
}

.repertory_gacha_collec > div.ok:after{
    opacity: 1;
    transition: var(--transi);
    display: block;
    text-align: center;
    width: 100%;
    height: 55px;
    font-weight: bold;
    text-transform: uppercase;
    line-height: 55px;
    color: white;
    font-size: 12px;
    border-radius: 4px;
    text-shadow: var(--co3_light) 1px 1px 0px;
}
.repertory_gacha_collec.thd > div.ok:after{ background-image: radial-gradient(#ffe17f 22px, #ffd33d 22px);}
.repertory_gacha_collec.kd > div.ok:after{ background-image: radial-gradient(#a3d191 22px, #90c07e 22px);}
.repertory_gacha_collec.gsp > div.ok:after{ background-image: radial-gradient(#95ebff 22px, #82def3 22px);}
.repertory_gacha_collec.trc > div.ok:after{ background-image: radial-gradient(#c5aee1 22px, #ae8ed5 22px);}

.repertory_gacha_collec > div.ok.att:after{ content: "Attr."; }
.repertory_gacha_collec > div.ok.gar:after{ content: "Gard."; }
.repertory_gacha_collec > div.ok.batt1:after{ content: "Batt. 1"; }
.repertory_gacha_collec > div.ok.batt2:after{ content: "Batt. 2"; }
.repertory_gacha_collec > div.ok.pou1:after{ content: "Pour. 1"; }
.repertory_gacha_collec > div.ok.pou2:after{ content: "Pour. 2"; }
.repertory_gacha_collec > div.ok.pou3:after{ content: "Pour. 3"; }
.repertory_gacha_collec > div.ok.rem1:after{ content: "Remp. 1"; }
.repertory_gacha_collec > div.ok.rem2:after{ content: "Remp. 2"; }
.repertory_gacha_collec > div.ok.rem3:after{ content: "Remp. 3"; }

.repertory_gacha_liste br{ display: block!important; }
.repertory_gacha_collec > div > nom {
    display: none;
    line-height: 14px;
    font-size: 8px;
    font-weight: bold;
    text-transform: uppercase;
    position: absolute;
    color: white;
    background: var(--co3);
    width: max-content;
    padding: 0px 2px;
    border-radius: 2px;
    letter-spacing: 0.5px;
    z-index: 3;
    top: -8px;
    left: 16px;
}
.repertory_gacha_collec > div:hover > nom { display: block; }


/* bandeau en haut */
.repertory_legend_post {
    background: var(--neutral_1);
    padding: var(--spacing-s) var(--spacing);
    display: flex;
    justify-content: space-between;
    width: 100%;
}

/* background */
.repertory_header_image {
    margin-bottom: var(--spacing);
    background-image: url(https://pbs.twimg.com/media/FaWe508VQAAF1cB?format=jpg&name=large);
    background-size: cover;
    background-position: center;
    position: relative;
    width: 100%;
    min-height: 140px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.repertory_header {
    z-index: 0;
    position: relative;
    text-align: center;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    width: fit-content;
}
.repertory_header div {
    font-weight: 600;
    border-radius: 8px;
    width: fit-content;
    color: white;
    text-align: right;
    padding: 0 var(--spacing-s);
    border-radius: 4px;
    backdrop-filter: blur(6px);
    box-shadow: var(--boxshadow);
    margin-bottom: 4px;
}
.repertory_header span {
    color: white;
}
.repertory_header:before {
    display: block;
    position: absolute;
    width: 140px;
    height: 140px;
    top: -90px;
    border-radius: 180px;
    background-color: var(--co2);
    z-index: -1;
}

.repertory_relation_all{
  display: grid;
  grid-template-rows: auto;
  grid-gap: 16px;
}

.repertory_relation {  
    display: grid;
    grid-template-columns: 50px auto;
    grid-gap: 16px;
}
.repertory_relation img {
  border-radius: var(--spacing-xs);
  object-fit: cover;
  width: 100%;
  height: 50px;
}
.repertory_relation_description {  
  border-radius: var(--spacing-xs);
}
.repertory_relation_description ii {
  font-size: 12px;
}
.repertory_relation_description span {
  display: block;
  margin-top: 4px;
  padding-right: 16px;
  max-height: 109px;
  overflow: auto;
  font-size: 12px;
  line-height: 150%;
}

.repertory_research {
    display: grid;
    grid-template-columns: 160px auto;
    grid-gap: 16px;
}
.repertory_research_links {
  width: 100%;
}
.repertory_research_links a {
  display:inline-block;
  width: 100%;
  text-align: left;
  text-transform: uppercase;
  background-color: var(--co2);
  color: white!important;
  margin-bottom: 4px;
  font-size: 9.5px;
  letter-spacing: 1px;
  font-weight: 600;
  padding: 1px 6px;
  transition: var(--transi);
  border-radius: var(--spacing-xs);
}
.repertory_research_links a:hover {
  padding-left: 16px;
  background-color: var(--neutral_1);
  color: var(--co2)!important;
}

.repertory_research_description {
  padding: var(--spacing);
  background-color: var(--neutral_1);
  border-radius: var(--spacing-xs);
  width: 100%;
}
div.repertory_research_description div {
  max-height: 136px;
  overflow: auto;
  padding-right: var(--spacing);
}
div.repertory_research_description div br {
  display: block;
}
.repertory_rp_all .repertory_bg2{
  padding: 8px;
  background-color: var(--neutral_1)!important;
}
.repertory_rp_all .repertory_bg2 br{ display: block; }

.repertory_inventory {
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: var(--spacing);
}
.repertory_item {
  padding: var(--spacing);
  background-color:var(--neutral_1);
}
.repertory_inventory div.repertory_item br {display:block}
.repertory_item span {
  max-height: 111px;
    overflow: auto;
    display: block;
    font-size: 12px;
    line-height: 150%;
    padding-right: 10px;
}
.repertory_rp_2col{
      display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1px;
    margin-top: 16px;
}

.repertory_rp_all{
  display: grid;
  grid-template-rows: auto;
  grid-gap: 1px;
  border-radius: 4px;
  overflow: hidden;
}

.repertory_rp {  
    display: grid;
    grid-template-columns: auto;
}
.repertory_rp_description ii {
  font-size: 12px;
}
.repertory_rp span {
  display: block;
  margin-top: 4px;
  padding-right: 16px;
  max-height: 109px;
  overflow: auto;
  font-size: 12px;
  line-height: 150%;
}

.repertory_tr .chrono_fact{
  background-color: var(--neutral_1)!important;
  border-radius: 4px;
}


/* gacha */
.repertory_gacha_collec {
display: grid;
grid-template-columns: repeat(10, 55px);
grid-template-rows: 55px;
grid-gap: 8px;
align-items: center;
justify-content: center;
margin: 8px 0px 16px 0px;
}

.repertory_gacha_liste bg5{
padding: 2px 4px;
line-height: 13px;
text-transform: uppercase;
font-size: 9.5px;
letter-spacing: 1px;
font-weight: 600;
border-radius: 4px;
width: 32px;
display: inline-block;
 text-align: center;
color: white;
}

bg5.thd{ background-color: #ffd33d; }
bg5.kd{ background-color: #90c07e;}
bg5.gsp{ background-color: #82def3; }
bg5.trc{ background-color: #ae8ed5; }

.repertory_gacha_collec > div {
width: 55px;
height: 55px;
background-image: url(https://images2.imgbox.com/85/c7/r5LG87lB_o.png);
background-size: auto 40px;
background-repeat: no-repeat;
background-position: center center;
border-radius: 4px;
background-color: var(--neutral_1);
position: relative;
}
.repertory_gacha_collec.thd > div { background-image: url(https://images2.imgbox.com/85/c7/r5LG87lB_o.png); }
.repertory_gacha_collec.kd > div { background-image: url(https://images2.imgbox.com/43/98/5IjaErgz_o.png); }
.repertory_gacha_collec.gsp > div { background-image: url(https://images2.imgbox.com/62/b9/gqwBxcWu_o.png); }
.repertory_gacha_collec.trc > div { background-image: url(https://images2.imgbox.com/44/be/88uSr95T_o.png); }

.repertory_gacha_collec > div.ok{ border: 0px; transition: var(--transi); }
.repertory_gacha_collec.thd > div.ok{ background-color: #ffd33d; }
.repertory_gacha_collec.kd > div.ok{ background-color: #90c07e; }
.repertory_gacha_collec.gsp > div.ok{ background-color: #82def3; }
.repertory_gacha_collec.trc > div.ok{ background-color: #ae8ed5; }
.repertory_gacha_collec > div.shiny:before {
z-index: 1;
content: " ";
position: absolute;
top: 0;
left: 0;
right: 0;
bottom: 0;
margin: 0px;
border-radius: 4px;
padding: 2px;
background-image: url(https://img.freepik.com/free-photo/_40163-61.jpg?size=626&ext=jpg); 
animation-duration: 10s;
animation-iteration-count: infinite;
animation-direction: alternate;
animation-timing-function: linear;
animation-name: fluid;
background-size: 500%;
-webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
-webkit-mask-composite: xor;
mask-composite: exclude;
}
@keyframes fluid {
from { background-position: top; }
to { background-position: bottom; }
}

.repertory_gacha_collec > div.ok:after{
opacity: 1;
transition: var(--transi);
display: block;
text-align: center;
width: 100%;
height: 55px;
font-weight: bold;
text-transform: uppercase;
line-height: 55px;
color: white;
font-size: 12px;
border-radius: 4px;
text-shadow: var(--co3_light) 1px 1px 0px;
}
.repertory_gacha_collec.thd > div.ok:after{ background-image: radial-gradient(#ffe17f 22px, #ffd33d 22px);}
.repertory_gacha_collec.kd > div.ok:after{ background-image: radial-gradient(#a3d191 22px, #90c07e 22px);}
.repertory_gacha_collec.gsp > div.ok:after{ background-image: radial-gradient(#95ebff 22px, #82def3 22px);}
.repertory_gacha_collec.trc > div.ok:after{ background-image: radial-gradient(#c5aee1 22px, #ae8ed5 22px);}

.repertory_gacha_collec > div.ok.att:after{ content: "Attr."; }
.repertory_gacha_collec > div.ok.gar:after{ content: "Gard."; }
.repertory_gacha_collec > div.ok.batt1:after{ content: "Batt. 1"; }
.repertory_gacha_collec > div.ok.batt2:after{ content: "Batt. 2"; }
.repertory_gacha_collec > div.ok.pou1:after{ content: "Pour. 1"; }
.repertory_gacha_collec > div.ok.pou2:after{ content: "Pour. 2"; }
.repertory_gacha_collec > div.ok.pou3:after{ content: "Pour. 3"; }
.repertory_gacha_collec > div.ok.rem1:after{ content: "Remp. 1"; }
.repertory_gacha_collec > div.ok.rem2:after{ content: "Remp. 2"; }
.repertory_gacha_collec > div.ok.rem3:after{ content: "Remp. 3"; }

.repertory_gacha_liste br{ display: block!important; }
.repertory_gacha_collec > div > nom {
display: none;
line-height: 14px;
font-size: 8px;
font-weight: bold;
text-transform: uppercase;
position: absolute;
color: white;
background: var(--co3);
width: max-content;
padding: 0px 2px;
border-radius: 2px;
letter-spacing: 0.5px;
z-index: 3;
top: -8px;
left: 16px;
}
.repertory_gacha_collec > div:hover > nom { display: block; }



/* FEUILLE DE PERSONNAGE */

.repertory_perso{
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 16px;
}
.repertory_perso > div{
  padding: 16px;
  border-radius: 8px;
  background: var(--neutral_2);
}

.repertory_perso .skills {
  margin-top: 8px;
  display: grid;
  grid-gap: 8px 16px;
  grid-template-columns: 1fr;
  grid-auto-rows: 16px;
}
.repertory_perso skill {
  position: relative;
  display: grid;
  grid-gap: 16px;
  grid-template-columns: auto 115px;
  align-items: center;
}

.repertory_perso skill > br{ display: none; }
.repertory_perso skill > p{
  align-items: center;
  display: flex;
  gap: 8px;
  margin-bottom: 0!important;
}
.repertory_perso skill p span {
  font-size: 9px;
  text-transform: uppercase;
  letter-spacing: 0.5px; 
  font-weight: 600;
}

.repertory_perso level { 
  display: grid; 
  grid-gap: 4px; 
  grid-template-columns: repeat(10, 8px);
} 
.repertory_perso lv{ 
  display: inline-block; 
  height: 8px; 
  width: 8px; 
  border-radius: 2px; 
  background: var(--neutral_5); 
  content: " ";
} 

/* NIVEAUX */
.repertory_perso level.lvl-2 > lv:nth-child(-n + 2),
.repertory_perso level.lvl-3 > lv:nth-child(-n + 3),
.repertory_perso level.lvl-4 > lv:nth-child(-n + 4),
.repertory_perso level.lvl-5 > lv:nth-child(-n + 5),
.repertory_perso level.lvl-6 > lv:nth-child(-n + 6),
.repertory_perso level.lvl-7 > lv:nth-child(-n + 7),
.repertory_perso level.lvl-8 > lv:nth-child(-n + 8){
  background: var(--co2);
}
.repertory_perso level.lvl-1 > lv:nth-child(1),
.repertory_perso level.lvl-9 > lv:nth-child(-n + 9),
.repertory_perso level.lvl-10 > lv:nth-child(-n + 10){
  background: var(--co1);
}

.repertory_perso skill .infobulle_small{ 
  height: 16px; 
  width: 16px; 
  padding: 0px; 
  color: var(--co2);
}
.repertory_perso skill .infobulle_small > span {
  top: 20px!important; 
  left: 0px!important; 
  padding: 8px;
}

